# include SEP rules
include ${SEPINC}/SEP.top

# define related directories
BINDIR = /home/xukai/huo_mpi/X/StaticWI/Bin
#OBJDIR = obj
SRCDIR = /home/xukai/huo_mpi/X/StaticWI/Src
my_libdir = /net/koko/homes/sep/xukai/huo/Flib/inversion
RESULTSER =
RESULTSCR =
RESULTSNR = 
#FFTWLIBS = -L/opt/FFTW/lib/ -lfftw3f
#UF90LIBS = -lsepgeef90 -lsep2df90 -lsep3df90 -lsep3d -lsepf90 -lsep -lsupersetf90 -lsuperset -lsep -lsepauxf90 ${FFTWLIBS}
#UF90INCLUDES = -I.
#UF90FLAGS = -CB



######################################################################################################################
######################################################################################################################
######################################################################################################################
MPIDIR=/opt/MPI/mpich-1.2.7p1
MPISRCDIR=/opt/MPI/mpich-1.2.7p1-source
F90C = /opt/MPI/mpich-1.2.7p1/bin/mpif90 -f90=ifort -openmp -I. -static-intel -O3 
F90LD = /opt/MPI/mpich-1.2.7p1/bin/mpif90 -f90=ifort -openmp  -static-intel #${LDFLAGS} -L${SEPLIBDIR} 
FCOLEVEL = 3

MYFC = /opt/MPI/mpich-1.2.7p1/bin/mpif90 -f90=ifort -static-intel
a2us = -assume 2underscores
MAIN_LIBS=-lsupersetf90 -lsuperset -lsep2df90 -lsepgeef90 -lsep3df90 -lsep3d -lsepf90 -lsep 
SEPstuff= -I ${SEP}/include/  -L ${SEP}/lib
FFTWLIBS = -L/opt/FFTW/lib/ -lfftw3f -lfftw3

UF90INCLUDES=-I. -I${MPIDIR}/include/ -L${MPIDIR}/lib -lmpich -lfmpich
UF90LIBS= -lsepauxf90 -lsepmathf90  ${MAIN_LIBS} farg.o  ${SEPstuff} ${FFTWLIBS}

MYDEV=/home/xukai/huo_mpi/X/StaticWI/Bin

RSHCOMMAND="ssh"


Xsync% :
	ssh xukai@sep4$* rm -rf ${MYDEV}/*
	scp -r ${MYDEV}/* xukai@sep4$*:${MYDEV}/.


farg.o : ${MPISRCDIR}/src/fortran/src/farg.f
	${MYFC} -c $< ${a2us}

include ${SEPINC}/SEP.bottom


